%define major     0
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           openpgl
Version:        0.5.0
Release:        %mkrel 2
Summary:        Open Path Guiding Library
Group:          System/Libraries
License:        Apache-2.0
URL:            https://github.com/OpenPathGuidingLibrary/openpgl
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# Upstream only supports x86_64 and ARM64 architectures
ExclusiveArch:  aarch64 x86_64

BuildRequires:  cmake
BuildRequires:  cmake(embree)
BuildRequires:  pkgconfig(tbb)

%description
The Intel Open Path Guiding Library (Intel Open PGL) implements
a set of representations and training algorithms needed to
integrate path guiding into a renderer.


%package -n     %{libname}
Summary:        Open Path Guiding Library
Group:          System/Libraries

%description -n %{libname}
The Intel Open Path Guiding Library (Intel Open PGL) implements
a set of representations and training algorithms needed to
integrate path guiding into a renderer.

%package -n     %{develname}
Summary:        Development package for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

%prep
%autosetup

# do not install LICENSE.txt
sed -i '/LICENSE.txt/d' openpgl/CMakeLists.txt

%build
# https://github.com/embree/embree/issues/410
%cmake \
        -DCMAKE_CXX_FLAGS="%{optflags} -flax-vector-conversions"
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE.txt
%doc %{_docdir}/%{name}/
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}-%{version}/
%{_libdir}/lib%{name}.so


%changelog
* Sun Jan 28 2024 daviddavid <daviddavid> 0.5.0-2.mga10
+ Revision: 2035687
- rebuild for tbb 2021.11.0

* Fri Oct 27 2023 daviddavid <daviddavid> 0.5.0-1.mga10
+ Revision: 2002090
- initial package openpgl (needed for blender)

